Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.property
Class EmbeddedPropertyAccessor.EmbeddedGetter

    java.lang.Object
      org.hibernate.property.EmbeddedPropertyAccessor.EmbeddedGetter

All Implemented Interfaces:
  Serializable, Getter

Enclosing class:
  EmbeddedPropertyAccessor

    public static final class EmbeddedPropertyAccessor.EmbeddedGetter

extends Object
implements Getter

See Also:
  Serialized Form

Method Summary
`Object` | `get(Object target)` Get the property value from the given instance .
`Object` | `getForInsert(Object target, Map mergeMap, SessionImplementor session)` Get the property value from the given owner instance.
`Method` | `getMethod()` Optional operation (return null)
`String` | `getMethodName()` Optional operation (return null)
`Class` | `getReturnType()` Get the declared Java type
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### get

    public Object get(Object target)
               throws HibernateException

  Description copied from interface: `Getter`
  Get the property value from the given instance .

  Specified by:
    `get` in interface `Getter`
  Parameters:
    `target` - The instance containing the value to be retreived.
  Returns:
    The extracted value.
  Throws:
    `HibernateException`

### getForInsert

    public Object getForInsert(Object target,
                               Map mergeMap,
                               SessionImplementor session)

  Description copied from interface: `Getter`
  Get the property value from the given owner instance.

  Specified by:
    `getForInsert` in interface `Getter`
  Parameters:
    `target` - The instance containing the value to be retreived.
    `mergeMap` - a map of merged persistent instances to detached instances
    `session` - The session from which this request originated.
  Returns:
    The extracted value.

### getMethod

    public Method getMethod()

  Description copied from interface: `Getter`
  Optional operation (return null)

  Specified by:
    `getMethod` in interface `Getter`

### getMethodName

    public String getMethodName()

  Description copied from interface: `Getter`
  Optional operation (return null)

  Specified by:
    `getMethodName` in interface `Getter`

### getReturnType

    public Class getReturnType()

  Description copied from interface: `Getter`
  Get the declared Java type

  Specified by:
    `getReturnType` in interface `Getter`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD